For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
        • GETList Test Cases
        • POSTUpsert Test Cases
        • STREAMBulk Update Test Cases
        • DELDelete Test Case
LogoLogo
BlogLog InRequest Demo
Client SDKTest SuitesTest Cases

Delete Test Case

Beta
DELETE
https://api.vellum.ai/v1/test-suites/:id/test-cases/:test_case_id
DELETE
/v1/test-suites/:id/test-cases/:test_case_id
1import requests
2
3url = "https://api.vellum.ai/v1/test-suites/id/test-cases/test_case_id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.delete(url, headers=headers)
8
9print(response.json())
204No Content
1{}
Deletes an existing test case for a test suite, keying off of the test case id.
Was this page helpful?
Previous

Create Test Suite Run

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Test Suites' ID or its unique name
test_case_idstringRequired
An id identifying the test case that you'd like to delete

Headers

X-API-VersionstringOptional

Response

No response body